#ifndef BLACKTABPLUGIN_H
#define BLACKTABPLUGIN_H

#include <kparts/plugin.h>
#include <klibloader.h>
#include <KHTMLPart>
#include <KIO/Job>
#include "ui_config.h"

class blacktabPlugin
            : public KParts::Plugin
{
    Q_OBJECT

public:
    // Constructor
    explicit blacktabPlugin(QObject *parent = 0, const QVariantList &args = QVariantList());
    // Destructor
    virtual ~blacktabPlugin();

    Ui_ConfigDialog		ui_configdialog;
    KParts::ReadOnlyPart	*m_Part;

protected slots:
    void started(KIO::Job *job);
    void showConfig();
};

class NewTabHandlerSingleton : public QObject
{
    Q_OBJECT

    static NewTabHandlerSingleton	*self;
    static QAction			*lastActNewTab;

protected:
    NewTabHandlerSingleton();

public:
    //static KHTMLPart 			*s_LastPart;
    static KParts::ReadOnlyPart 	*s_LastPart;
    
    static void Init(blacktabPlugin *plugin);
    
protected slots:
    void slotNewTab(bool checked = false);

};

#endif
